#include "iqi_interference_mode.h"
#include "iqi_comm.h"

DLL_API
int16 interference_ActivateInvalidMSeq(
    uint16 uiPortNo,
    unsigned int frequence,
    INTERFERENCE_MODE_Type type,
    char08* cpErrMsg)
{
    uchar08 buffer[2];
    buffer[0] = frequence;
    buffer[1] = type;
    return comm_WriteParameter(uiPortNo, IQParConfigCycleTimeOperate, buffer, sizeof(buffer), cpErrMsg);
}

DLL_API
int16 interference_DeactivateInvalidMSeq(
    uint16 uiPortNo,
    char08* cpErrMsg)
{
    return interference_ActivateInvalidMSeq(uiPortNo, 0, 0, cpErrMsg);
}
